#ifndef _Handle_DBC_VArrayNodeOfVArrayOfReal_HeaderFile
#define _Handle_DBC_VArrayNodeOfVArrayOfReal_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class DBC_VArrayNodeOfVArrayOfReal;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(DBC_VArrayNodeOfVArrayOfReal);

class Handle(DBC_VArrayNodeOfVArrayOfReal) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(DBC_VArrayNodeOfVArrayOfReal)():Handle(PStandard_ArrayNode)() {} 
    Handle(DBC_VArrayNodeOfVArrayOfReal)(const Handle(DBC_VArrayNodeOfVArrayOfReal)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(DBC_VArrayNodeOfVArrayOfReal)(const DBC_VArrayNodeOfVArrayOfReal* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(DBC_VArrayNodeOfVArrayOfReal)& operator=(const Handle(DBC_VArrayNodeOfVArrayOfReal)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(DBC_VArrayNodeOfVArrayOfReal)& operator=(const DBC_VArrayNodeOfVArrayOfReal* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    DBC_VArrayNodeOfVArrayOfReal* operator->() const 
     {
      return (DBC_VArrayNodeOfVArrayOfReal *)ControlAccess();
     }

   Standard_EXPORT static const Handle(DBC_VArrayNodeOfVArrayOfReal) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
